
QGIS Application - Bug report #2108

Using Print Composer on vectors rendered in symbology-ng mode crashes qgis.

2009-11-17 02:13 PM - cgsbob -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category:

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12168

Description

Refreshing a map in Print Composer that has a vector layer rendered in symbology-ng mode causes qgis to abort with the following

message:

Warning: Qt has caught an exception thrown from an event handler. Throwing

exceptions from an event handler is not supported in Qt. You must

reimplement QApplication::notify() and catch all exceptions there.

terminate called after throwing an instance of 'pal::PalException::LayerExists*'

Aborted

I heard that currently Print Composer does not work with symbology-ng mode, so I suggest that users should be prevented from using

Print Composer by showing a dialog that Print Composer is currently disabled in symbology-ng mode.

Associated revisions

Revision 675cf05d - 2009-11-18 07:46 PM - Martin Dobias

Improved labeling engine interface, now connected with QgsMapRenderer instead of individual layers.

Also fixes #2108.

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@12174 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision c1676d51 - 2009-11-18 07:46 PM - Martin Dobias

Improved labeling engine interface, now connected with QgsMapRenderer instead of individual layers.

Also fixes #2108.

git-svn-id: http://svn.osgeo.org/qgis/trunk@12174 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2009-11-17 02:20 PM - Giovanni Manghi

it happens also if you don't use the new symbology, but you use the new label engine: labels do not show in the composer and if you zoom or refresh the

map, qgis crashes

Warning: QMetaObject::connectSlotsByName: No matching signal for

2025-04-27 1/2

http://svn.osgeo.org/qgis/trunk/qgis@12174
http://svn.osgeo.org/qgis/trunk@12174


on_buttonBox_helpRequested()

terminate called after throwing an instance of

'pal::PalException::LayerExists*'

Aborted

#2 - 2009-11-18 10:46 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:c1676d51 (SVN r12175).
